darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Util.HTTP

Synopsis

- data Cachable
  - = Cachable
  - | Uncachable
  - | MaxAge !CInt
- copyRemote :: String -> FilePath -> Cachable -> IO ()
- copyRemoteLazy :: String -> Cachable -> IO ByteString
- speculateRemote :: String -> FilePath -> IO ()
- postUrl :: String -> ByteString -> String -> IO ()
- configureHttpConnectionManager :: IO ()

# Documentation

data Cachable #

Constructors

Cachable |
Uncachable |
MaxAge !CInt |

#### Instances

Instances details

Show Cachable # |
Instance details Defined in Darcs.Util.HTTP Methods showsPrec :: Int -> Cachable -> ShowS # show :: Cachable -> String # showList :: [Cachable] -> ShowS #
Eq Cachable # |
Instance details Defined in Darcs.Util.HTTP Methods (==) :: Cachable -> Cachable -> Bool # (/=) :: Cachable -> Cachable -> Bool #

copyRemote :: String -> FilePath -> Cachable -> IO () #

copyRemoteLazy :: String -> Cachable -> IO ByteString #

speculateRemote :: String -> FilePath -> IO () #

postUrl #

Arguments

:: String | url
-> ByteString | body
-> String | mime type
-> IO () | result

configureHttpConnectionManager :: IO () #

To be called from main program in order to set up a connection manager with changed TLS settings. Particularly, since tls-2.0 the default value for `supportedExtendedMainSecret` was changed from `AllowEMS` to `RequireEMS`, which is currently (2024-05-19) not yet supported by hub.darcs.net.